package dev.model;

public class User {

    private int id;

    private String username;

    private String password;

    private String email;

    public User(int id, String username, String passwordHash, String email) {
        this.id = id;
        this.username = username;
        this.password = passwordHash;
        this.email = email;
    }

    public User(String username, String passwordHash, String email) {
        this.username = username;
        this.password = passwordHash;
        this.email = email;
    }


    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getUsername() {
        return username;
    }

    public String getPasswordHash() {
        return password;
    }

    public String getEmail() {
        return email;
    }
}